#include "EngineTabBF.h"
#include "UCI.hpp"
#include "ochess.hpp"

// Foreign event
wxDECLARE_EVENT(CLOSE_TAB_EVENT, wxCommandEvent);

class EngineTab : public EngineTabBF, public TabInfos {
  uciadapter::UCI *engine;
  std::string confGroup, enginePath;
  std::string engineName;
  void InitConfiguration();

public:
  EngineTab(wxWindow *parent, uciadapter::UCI *engine,
            std::string engine_path_or_name);
  void ApplyPreferences() {}
  void *GetGame() { return (NULL); }
  void *GetBase() { return (NULL); }
  void OnSave(wxCommandEvent &event);
  void OnDelete(wxCommandEvent &event);
};